> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bank Account

> Create a new bank account.



## OpenAPI

````yaml /api/openapi-cutmake.json post /api/v1/bank-accounts
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/bank-accounts:
    post:
      tags:
        - Bank Accounts
      summary: Create Bank Account
      description: Create a new bank account.
      operationId: create_bank_account_api_v1_bank_accounts_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BankAccountCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankAccountResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BankAccountCreate:
      properties:
        accountName:
          type: string
          title: Accountname
        accountNumber:
          type: string
          title: Accountnumber
        bankName:
          type: string
          title: Bankname
        bankCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankcode
        branchName:
          anyOf:
            - type: string
            - type: 'null'
          title: Branchname
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          default: VND
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: active
        balance:
          anyOf:
            - type: number
            - type: 'null'
          title: Balance
          default: 0
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      required:
        - accountName
        - accountNumber
        - bankName
      title: BankAccountCreate
    BankAccountResponse:
      properties:
        id:
          type: string
          title: Id
        orgId:
          type: string
          title: Orgid
        accountName:
          type: string
          title: Accountname
        accountNumber:
          type: string
          title: Accountnumber
        bankName:
          type: string
          title: Bankname
        bankCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankcode
        branchName:
          anyOf:
            - type: string
            - type: 'null'
          title: Branchname
        currency:
          type: string
          title: Currency
        status:
          type: string
          title: Status
        balance:
          type: number
          title: Balance
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
      type: object
      required:
        - id
        - orgId
        - accountName
        - accountNumber
        - bankName
        - currency
        - status
        - balance
      title: BankAccountResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````